Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class Measure

    java.lang.Object
      mro.util.measures.Measure

Direct Known Subclasses:
  AverageMeasure, MeasureGroup, MultiMeasure

    public class Measure

extends java.lang.Object

A measure.

Field Summary
`(package private) java.lang.String` | `description`
`(package private) IObjectGroup` | `iogrelative`
`(package private) java.lang.String` | `name`
`(package private) static int` | `roundFloatToNumOfDecimals`
`static boolean` | `roundValue`
`(package private) java.lang.String` | `stamp` An "identifier" for the Measure, for making it easier to compare and manipulate Measure:s.
`(package private) double` | `value`

Constructor Summary
`Measure()`
`Measure(Measure m2)` Copy Constructor.
`Measure(java.lang.String name, double value, java.lang.String description)`
`Measure(java.lang.String name, double value, java.lang.String description, IObjectGroup iogrelative)`
`Measure(java.lang.String name, double value, java.lang.String description, java.lang.String stamp)`
`Measure(java.lang.String name, java.lang.String value, java.lang.String description, java.lang.String stamp)` To read from XML files...

Method Summary
`Measure` | `difference(Measure other)` Constructs a Measure containing the difference between this and an other Measure.
`Measure` | `divide(Measure other)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`IObjectGroup` | `getRelativeIObjectGroup()`
`java.lang.String` | `getStamp()`
`double` | `getValue()`
`Measure` | `normDifference(Measure other)` Constructs a Measure containing the normalized difference between this and an other Measure.
`void` | `printXML(java.io.PrintWriter pw)`
`void` | `setDescription(java.lang.String description)`
`void` | `setStamp(java.lang.String stamp)`
`void` | `setValue(double value)`
`Measure` | `subtract(Measure other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### value

    double value

### description

    java.lang.String description

### iogrelative

    IObjectGroup iogrelative

### stamp

    java.lang.String stamp

  An "identifier" for the Measure, for making it easier to compare and manipulate Measure:s.

### roundValue

    public static boolean roundValue

### roundFloatToNumOfDecimals

    static int roundFloatToNumOfDecimals

Constructor Detail

### Measure

    public Measure()

### Measure

    public Measure(java.lang.String name,
                   double value,
                   java.lang.String description)

### Measure

    public Measure(java.lang.String name,
                   double value,
                   java.lang.String description,
                   java.lang.String stamp)

### Measure

    public Measure(Measure m2)

  Copy Constructor.

### Measure

    public Measure(java.lang.String name,
                   java.lang.String value,
                   java.lang.String description,
                   java.lang.String stamp)

  To read from XML files...

### Measure

    public Measure(java.lang.String name,
                   double value,
                   java.lang.String description,
                   IObjectGroup iogrelative)

Method Detail

### difference

    public Measure difference(Measure other)

  Constructs a Measure containing the difference between this and an other Measure. (this-other)

### normDifference

    public Measure normDifference(Measure other)

  Constructs a Measure containing the normalized difference between this and an other Measure. (this-other)/other

### subtract

    public Measure subtract(Measure other)

### divide

    public Measure divide(Measure other)

### getRelativeIObjectGroup

    public IObjectGroup getRelativeIObjectGroup()

### setValue

    public void setValue(double value)

### getValue

    public double getValue()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getStamp

    public java.lang.String getStamp()

### setStamp

    public void setStamp(java.lang.String stamp)

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD